'use strict';
fk2Conmm();
async function fk2Conmm() {
    const arg = process.argv;
    const {version} = require('../package.json');
    if (arg.length < 3) console.log(version);
    if (arg.length > 2) {
        const arr = require('./json/command.json');
        const name = arg[2].toLowerCase(); // 字母转小写
        if (name=='-v') {
            console.log(version);
        } else if(arr.includes(name)){
            let comms = [];
            for (let i = 0;i < arg.length;i++) {
                if(i>2) comms.push(arg[i]);
            };
            await require('./order/'+name)(comms); 
        }else {
            console.log(`Command '${name}' doesn't exist!`);
        }
    }
}