'use strict';
module.exports = (data) => {
    const net = require('net');
    const server = net.createServer((socket) => {
        console.log('客户端已连接');
        socket.on('data', (data) => {
            console.log(data.toString());
            socket.write('你发送的数据已接收');
        });
        socket.on('end', () => {
            console.log('客户端已断开连接');
        });
    });
    server.listen(8080, () => {
        console.log('服务器正在监听8080端口');
    });
}