'use strict';
const tick = (out,res,str)=>{
    process.stdout.write('\r');
    process.stdout.write('\u001b[42m'+out+'\u001b[43m'+res+'\u001b[40m'+' \u001b[1m'+str+'\u001b[0m');
}
const addStr = (nums)=>{
    let strs = ''
    for (let i = 0;i < nums;i++) {
        strs += ' ';
    };
    return strs
}
const getTime = (d)=>{
    const m = 1000;
    if(d==m) return '1s'
    if(d<m) return (d/m).toFixed(1) +'s'
    if(d>m) d = (d/m).toFixed(1);
    if(d==60) return '1min'
    if(d>60){
        return (d/60).toFixed(2) +'min';
    }else{
        return d +'s'
    }

}
class MYProgress {
    constructor(end,text) {
        this.num = 0;
        this.len = 30;
        this.end = end;
        this.out = '';
        this.text = text||'';
        this.all = addStr(this.len);
        this.time = new Date().getTime();
    }
    add(e){
        if(e>0) this.num = e;
        if(this.end>=this.num){
            const kk = this.num/this.end;
            this.out =addStr(kk*this.len.toFixed(0));
            let str = 'Copy : ' +(kk*100).toFixed(2)+'%';
            let res = this.all.replace(this.out,'');
            if(str=='100.00%') {
                res = '';
                str = '100% '+this.text;
            }else{
                str += ' time: '+ getTime(new Date().getTime()-this.time);
            }
            tick(this.out,res,str);
            if(!e) this.num++
        }
    }
}
module.exports = MYProgress